import dynamix_sdk.base as _base


class CloudapiLbRestartResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbRestartProtocol(_base.BasePostAPIFunctionProtocol):
    def restart(
        self,
        *,
        lb_id: int,
        safe: bool = True,
    ) -> CloudapiLbRestartResultBool:
        ...
